Subject: devel-digest V2 #163
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Saturday, May 8 1999           Volume 02 : Number 163

In this issue:

    Re: Compiling egcs? 
    RE: Netscape
    "missing memory"
    Re: "missing memory"
    Re: "missing memory"
    Re: "missing memory"
    Re: "missing memory"
    Re: "missing memory"

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Fri, 07 May 1999 09:40:34 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: Compiling egcs? 

Deirdre Saoirse wrote:

>I didn't find patches for 1.1.2?

Try this one:

<ftp://ftp.netwinder.org/users/p/philb/egcs-1.1.2-arm-diff-990325.gz>

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 10:01:23 +0100 
From: Gareth Boden <[email-masked]>
Subject: RE: Netscape

Don't forget the KDE filer/browser kfm, which does a fine job on most web
sites...
Gareth
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 09:42:50 -0700
From: "Eric A. Perlman" <[email-masked]>
Subject: "missing memory"

Hi,

It seems that when I compile 2.2.6 and 2.2.7 the kernel only sees 32M of ram at boot. (both +rmk)

I modified the line of the config that reads : .... MEM=32M ... to 64M, but that does not have any affect.

Is there another change that must be made?

I am using the netrom version 2.0.7 (I think, whatever the version that was `released' with the pretty Netwinder logo at startup :)

- -eric
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 18:09:46 +0100 (BST)
From: Russell King <[email-masked]>
Subject: Re: "missing memory"

Eric A. Perlman writes:
> It seems that when I compile 2.2.6 and 2.2.7 the kernel
> only sees 32M of ram at boot. (both +rmk)

That is the default memory size when you use a NeTTrom prior
to 2.0.7.

> I modified the line of the config that reads:
> .... MEM=32M ... to 64M, but that does not have any affect.

I hope that you didn't specify it like that.  There is an example
in the original kernel configuration which specifies the correct
format.  The two options `MEM=32M' and `mem=32M' are two different
things - the first does not exist and will be passed to init,
the second is the correct one.

> Is there another change that must be made?

No.

> I am using the netrom version 2.0.7 (I think, whatever the version
> that was `released' with the pretty Netwinder logo at startup :)

What it comes down to is NeTTrom 2.0.7 doesn't set up all the fields in
the param_struct correctly, so the kernel uses the default.  This is
identified on the second line of the kernel messages following:

Linux version 2.2.7 (src@flint) (gcc version 2.7.2.2) #141 Wed May 5 21:35:36 BST 1999
Warning: bad NeTTrom parameters detected, using defaults
NetWinder Floating Point Emulator V0.94.1 (c) 1998 Corel Computer Corp.
Console: colour dummy device 80x30
Calibrating delay loop... 262.14 BogoMIPS
Memory: 63496k/64M available (1112k code, 20k reserved, 888k data, 20k init)

You have to boot with a command line containing 'mem=64M' for it to use 64MB.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 10:42:54 -0700
From: "Eric A. Perlman" <[email-masked]>
Subject: Re: "missing memory"

Oops, I have this line:

mem=64M root=/dev/hda1 ro ide0=autotune

(sorry about saying "MEM", I was not on my Netwinder when I wrote the previous mail)

Does this mean I can *only* use 64M if I specify so at boot time?

- -eric
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 18:48:48 +0100 (BST)
From: Russell King <[email-masked]>
Subject: Re: "missing memory"

Eric A. Perlman writes:
> mem=64M root=/dev/hda1 ro ide0=autotune
> 
> Does this mean I can *only* use 64M if I specify so at boot time?

If this is the kernel arguments you are passing to the kernel, then
it should be using 64MB of memory.  You may want to check /proc/cmdline
to see what the kernel believes it's been passed.  Also, the first 5
or 6 kernel messages from /var/log/dmesg would be useful.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 07 May 1999 17:58:14 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: "missing memory"

Russell King wrote:
> 
> Eric A. Perlman writes:
> > mem=64M root=/dev/hda1 ro ide0=autotune
> >
> > Does this mean I can *only* use 64M if I specify so at boot time?

Woody has firmware 2.0.8c in his home directory, which initializes the
parameter structure better (and should pass the correct amount of memory). 
Right now your options are a) hard-code the command line or b) use
experimental firmware...  I've used 2.0.8 successfully on my box.

- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 7 May 1999 11:43:16 -0700
From: "Eric A. Perlman" <[email-masked]>
Subject: Re: "missing memory"

The new nettrom works perfectly, thanks!

- -eric
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #163
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.